Bug 1652938 - blank page on navigating from foreman to katello page
Summary: blank page on navigating from foreman to katello page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Walden Raines
QA Contact: vijsingh
URL:
Whiteboard:
: 1654265 1677227 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 15:50 UTC by Roman Plevka
Modified: 2019-10-07 17:37 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.20-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:05 UTC


Attachments (Terms of Use)
session recording (267.13 KB, image/gif)
2018-11-23 15:50 UTC, Roman Plevka
no flags Details
Screenshot (65.07 KB, image/png)
2019-02-19 04:31 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:15 UTC

Description Roman Plevka 2018-11-23 15:50:13 UTC
Created attachment 1508294 [details]
session recording

Description of problem:
when one has a foreman page opened (e.g. hostgroups) and no taxonomy context selected (any org, any loc) and navigates to some katello page (e.g. lifecycle environments), the "select organization" page should appear but it doesn't - the page shows no content.



Version-Release number of selected component (if applicable):
6.5.0-4

Steps to Reproduce:
1.
2.
3.

Actual results:
blank content page


Expected results:
org selector page shows up

Additional info:


2018-11-23T15:48:13 [I|app|] Started GET "/lifecycle_environments" for 192.168.121.1 at 2018-11-23 15:48:13 +0000
2018-11-23T15:48:13 [I|app|771e0] Processing by Bastion::BastionController#index as HTML
2018-11-23T15:48:13 [I|app|771e0]   Parameters: {"bastion_page"=>"lifecycle_environments"}
2018-11-23T15:48:13 [I|app|771e0] Current user set to admin (admin)
2018-11-23T15:48:13 [I|app|771e0]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/application.html.erb
2018-11-23T15:48:13 [I|app|771e0]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/assets.html.erb
2018-11-23T15:48:13 [I|app|771e0]   Rendering layouts/base.html.erb
2018-11-23T15:48:13 [I|app|771e0]   Rendered layouts/base.html.erb (25.8ms)
2018-11-23T15:48:13 [I|app|771e0]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/assets.html.erb (33.5ms)
2018-11-23T15:48:13 [I|app|771e0]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/application.html.erb (34.1ms)
2018-11-23T15:48:13 [I|app|771e0] Completed 200 OK in 44ms (Views: 32.3ms | ActiveRecord: 3.9ms)

Comment 1 Roman Plevka 2018-11-23 15:51:02 UTC
see the attached gif which should be selfexplanatory

Comment 3 Roman Plevka 2018-11-23 16:33:53 UTC
I noticed this happens even if the organization is set.
it looks like the loading of the katello page does not refresh the whole page.

here are the production logs with debugging enabled:



2018-11-23T16:31:25 [I|app|] Started GET "/products" for 192.168.121.1 at 2018-11-23 16:31:25 +0000
2018-11-23T16:31:25 [I|app|53b2e] Processing by Bastion::BastionController#index as HTML
2018-11-23T16:31:25 [I|app|53b2e]   Parameters: {"bastion_page"=>"products"}
2018-11-23T16:31:25 [I|app|53b2e] Current user set to admin (admin)
2018-11-23T16:31:25 [D|app|53b2e] Current location set to none
2018-11-23T16:31:25 [D|app|53b2e] Current organization set to wVUcCdZYUOMq
2018-11-23T16:31:25 [I|app|53b2e]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/application.html.erb
2018-11-23T16:31:25 [I|app|53b2e]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/assets.html.erb
2018-11-23T16:31:25 [D|kat|53b2e] Resource GET request: /candlepin/owners/wVUcCdZYUOMq
2018-11-23T16:31:25 [D|kat|53b2e] Headers: {"accept":"application/json","cp-user":"foreman_admin"}
2018-11-23T16:31:25 [D|kat|53b2e] Body: {}
2018-11-23T16:31:25 [D|app|53b2e] RestClient.get "https://pipeline-satellite-6-5-rhel7.localhost.example.com:8443/candlepin/owners/wVUcCdZYUOMq", "Accept"=>"*/*", "Accept-Encoding"=>"gzip, deflate", "Authorization"=>"OAuth oauth_consumer_key=\"katello\", oauth_nonce=\"F3IotQWl8wnhOyjWhxqVer2kEt6XXoWv74KkptCyo8\", oauth_signature=\"t84tCnpCRB9xR0JTaOdDYDcqBlY%3D\", oauth_signature_method=\"HMAC-SHA1\", oauth_timestamp=\"1542990685\", oauth_version=\"1.0\"", "User-Agent"=>"rest-client/2.0.1 (linux-gnu x86_64) ruby/2.5.0p0", "accept"=>"application/json", "cp-user"=>"foreman_admin"

2018-11-23T16:31:25 [D|app|53b2e] # => 200 OK | application/json 436 bytes

2018-11-23T16:31:25 [D|kat|53b2e] Candlepin request 9ab15ae8-4a5c-4c6e-8f95-1fb65580ad61 returned with code 200
2018-11-23T16:31:25 [D|kat|53b2e] Processing response: 200
2018-11-23T16:31:25 [D|kat|53b2e] {"created":"2018-11-23T10:24:42+0000","updated":"2018-11-23T10:24:42+0000","id":"4028f96f673cf2fa01674019a659001e","key":"wVUcCdZYUOMq","displayName":"wVUcCdZYUOMq","parentOwner":null,"contentPrefix":"/wVUcCdZYUOMq/$env","defaultServiceLevel":null,"upstreamConsumer":null,"logLevel":null,"autobindDisabled":false,"contentAccessMode":"entitlement","contentAccessModeList":"entitlement","lastRefreshed":null,"href":"/owners/wVUcCdZYUOMq"}
2018-11-23T16:31:25 [I|app|53b2e]   Rendering layouts/base.html.erb
2018-11-23T16:31:25 [I|app|53b2e]   Rendered layouts/base.html.erb (25.4ms)
2018-11-23T16:31:25 [I|app|53b2e]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/assets.html.erb (79.9ms)
2018-11-23T16:31:25 [I|app|53b2e]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/bastion-6.1.16/app/views/bastion/layouts/application.html.erb (83.7ms)
2018-11-23T16:31:25 [I|app|53b2e] Completed 200 OK in 96ms (Views: 75.3ms | ActiveRecord: 14.2ms)

Comment 5 Omkar Khatavkar 2018-11-28 13:43:18 UTC
*** Bug 1654265 has been marked as a duplicate of this bug. ***

Comment 6 Walden Raines 2018-11-28 16:02:16 UTC
Created redmine issue https://projects.theforeman.org/issues/25572 from this bug

Comment 9 Walden Raines 2019-02-05 14:33:08 UTC
Reassigning to Ohad since Gilad is working on this and he doesn't have a bugzilla account.

Comment 12 Brad Buckingham 2019-02-15 16:39:05 UTC
*** Bug 1677227 has been marked as a duplicate of this bug. ***

Comment 13 vijsingh 2019-02-19 04:29:56 UTC
Verified:

@Satellite 6.5.0 Snap 16.0

steps/Observation:
  
 - Navigation from foreman page opened (i.e. all hosts/hostgroups) to katello page (i.e. lifecycle environments/Content View/Sync Status/Product) does ask to 'Select an Organization'.
 - screenshot attached.

Comment 14 vijsingh 2019-02-19 04:31:05 UTC
Created attachment 1536211 [details]
Screenshot

Comment 17 errata-xmlrpc 2019-05-14 12:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.